Subject: My Changes to win32
From: [email-masked] (Mike Bernson)

29 Jan 1998 23:23:58 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>

I have make a number of changes to the beta18 release that I am now will

share with other users.

Here is a quick list of this that have been changed.

1.    Change the way files descriptors are access.
2.    Added dymanic memory for system use
3.    A number of struct are not allocated.
4.    Add error handling for  bad memory address
5.    Add termios stuff to use ioctl like bsd system
6.    Added  sleep/wakeup stuff with wait channel  and string message
7.    change a number of places where index where used to memory
pointers
8.    redid the select code to be more like unix version. I still need
to do select for pipes, sockets.
9.    Made binary the default mode (No binary/text on devices)

The changes will only work on win95 I still need to get the address that
maps files can be shared for
NT. I known that it  not the same addresses.

The changes are only in source form. The url http:www.mlb.org. It has a
tar file that has both the
newlib and winsup directory. I will not make  a patch.  If you do not
known what to with the source
then this is not for you.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".